eXec.plMAGAZYN UŻYTKOWNIKÓW KOMPUTERÓW AMIGA
MAGAZYN UŻYTKOWNIKÓW KOMPUTERÓW AMIGA

piątek, 24. listopada, 2017, 10:26

Dodano: 2005-02-07 00:00, Autor: kb, Kategoria: Wydarzenia, Liczba wyświetleń: 932

A A A

os4.exec.pl - aktualizacja działu

Zaktualizowany został dział kompatybilność zawierający informacje na temat programów pisanych dla poprzednich wersji systemu operacyjnego Amigi i ich zachowania pod najnowszą wersją AmigaOS. Prosimy o podawanie kolejnych programów, które mają zostać dopisane.


Dodaj komentarz

Sebastian Rosa
Czytelnik

komentarz #1 wysłany: 2005-02-07 16:16

Puste pole oznacza, że nie sprawdzono działania programu

Co to tak naprawdę oznacza? Puste pole jest np. przy Amilopedii, Exodusie, Napalmie czy Realu. Chyba nie chcecie powiedzieć, że na Amigach klasycznych ten soft nie działa. Wydany on był wtedy, gdy na rynku były wyłącznie Amigi klasyczne.

Odpowiedz

Konrad Bielski
Redaktor

komentarz #2 wysłany: 2005-02-07 17:17 w odpowiedzi na komentarz #1

Co to tak naprawdę oznacza?

Pole puste oznacza, że nikt nie sprawdził danego programu pod AmigaOS 4. Może więc ten program działa, ale może nie działać.

Odpowiedz

Jakub Wrona
Czytelnik

komentarz #3 wysłany: 2005-02-07 18:40 w odpowiedzi na komentarz #2

Pole puste oznacza, że nikt nie sprawdził danego programu pod AmigaOS 4. Może więc ten program działa, ale może nie działać.

No to troche bez sensu, puste pola są w kolumnach 'klasyczne amigi', przy OS4.0 jest napisane 'NIE', a chodzi o to, ze pod OS4.0 nikt nie sprawdzal???

Odpowiedz

SZAMAN
Redaktor

komentarz #4 wysłany: 2005-02-07 19:11 w odpowiedzi na komentarz #3

przy OS4.0 jest napisane 'NIE' - raczej przy "Nowe Amigi" jest "NIE"! Cala ta tabelka dotyczy tylko i wylacznie AmigaOS 4!

Odpowiedz

Konrad Bielski
Redaktor

komentarz #5 wysłany: 2005-02-07 19:49 w odpowiedzi na komentarz #3

No to troche bez sensu, puste pola są w kolumnach 'klasyczne amigi', przy OS4.0 jest napisane 'NIE', a chodzi o to, ze pod OS4.0 nikt nie sprawdzal???

Wszystko ma sens. Strona os4.exec.pl dotyczy systemu AmigaOS w wersji 4, a podstrona kompatybilność opisuje programy, które były tworzone dla starszych wersji systemu AmigaOS, a my testuje je z najnowszym systemem. Rozbiliśmy to na dwie kategorie sprzętowe: "Amigi klasyczne", czyli te ze specjalizowanymi układami AGA oraz "Nowe Amigi".

Różnice będą dotyczyły programów, które odwołują się do układów AGA z pominięciem systemu. Dlatego np. HippoPlayer działa pod systemem AmigaOS 4.0 na komputerach A1200 i A4000, ale już nie działa na komputerach A1 i mA1, które układów AGA nie posiadają.

Wydawało mi się, że to jest dosyć jasne, ale postaram się dopisać więcej informacji na ten temat, żeby nie było problemów z interpretacją tabelki.

Odpowiedz

Sebastian Rosa
Czytelnik

komentarz #6 wysłany: 2005-02-07 20:18 w odpowiedzi na komentarz #4

NIE! Cala ta tabelka dotyczy tylko i wylacznie AmigaOS 4!

Czyli kolumna "Amigi klasyczne" dotyczy AmigaOS 4.0 działającego na A1200/A4000, a kolumna "Nowe Amigi" dotyczy AmigaOS 4.0 działającego na AmigaOne i MicroA1. Teraz jasne, ale trochę mało wyraźne jest to napisane/zaznaczone.

Odpowiedz

Konrad Bielski
Redaktor

komentarz #7 wysłany: 2005-02-07 20:24 w odpowiedzi na komentarz #6

ale trochę mało wyraźne jest to napisane

Na stronie jest taki tekst:

AmigaOS 4.0 to pierwsza wersja systemu operacyjnego Amigi, która działa na procesorach PowerPC, żeby nie tracić bazy programów pisanych dla poprzednich wersji AmigaOS, które działały na procesorach z rodziny 680x0, do systemu dołączono emulator tego procesora.

W systemie zaszły jednak na tyle duże zmiany, że część programów nie uruchamia się na AmigaOS 4.0 pomimo zastosowania emulatora 68k. Głównie są to programy pisane niedbale, których autorzy nie przestrzegali szczegółowych zasad programowania pod system AmigaOS. W przypadku nowych Amig, takich jak Amiga One lub Micro Amiga One przyczyną może być to, że dany program odwołuje się bezpośrednio (z pominięciem systemu) do układów specjalizowanych klasycznej Amigi.

Niżej znajduje się tabela z popularnym oprogramowaniem dla AmigaOS "poprzednich generacji" z oznaczeniem, czy dany program można uruchomić na AmigaOS 4.0 czy też nie. Niektóre z tych programów przepisywane są obecnie na procesory PowerPC - postaramy się je dodatkowo oznaczać.

Jeśli to jest mało wyraźnie napisane to powiedz jakich dotatkowych wyjaśnień potrzebujesz. Dokonamy zmian.

Odpowiedz

Mufa
konto zablokowane
lub usunięte

Czytelnik

komentarz #8 wysłany: 2005-02-07 20:24 w odpowiedzi na komentarz #6

Jeśli ktoś ma jakieś propozycje dotyczące co ewentualnie można by przetestować na nowych Amigach, niech napisze. Postaram się w miarę możliwości zrobić dalsze testy kompatybilnościowe.

Odpowiedz

Sebastian Rosa
Czytelnik

komentarz #9 wysłany: 2005-02-07 21:22 w odpowiedzi na komentarz #7

ale trochę mało wyraźne jest to napisane

Na stronie jest taki tekst

[ciach]

Jeśli to jest mało wyraźnie napisane to powiedz jakich dotatkowych wyjaśnień potrzebujesz. Dokonamy zmian.

Z mojej strony EOT, bo widzę, że tutaj nawet nie można merytorycznej uwagi zgłosić.

Odpowiedz

Sebastian Rosa
Czytelnik

komentarz #10 wysłany: 2005-02-07 21:25 w odpowiedzi na komentarz #7

Z poprawnym cytowaniem teraz (przepraszam za podwójny komentarz):

ale trochę mało wyraźne jest to napisane

Na stronie jest taki tekst

[ciach]

Jeśli to jest mało wyraźnie napisane to powiedz jakich dotatkowych wyjaśnień potrzebujesz. Dokonamy zmian.

Z mojej strony EOT, bo widzę, że tutaj nawet nie można merytorycznej uwagi zgłosić.

P.S. Zgłosiłbym wam jeszcze jedną uwagę, to już chciałem na maila zrobić, ale widzę, że szkoda na to mojego czasu. I tak jesteście mądrzejsi i nieomylni.

Odpowiedz

Konrad Bielski
Redaktor

komentarz #11 wysłany: 2005-02-07 21:29 w odpowiedzi na komentarz #9

Zgłosiłeś uwagę, ale ja poproszę o szczegóły, bo nie wiem co mam dopisać lub wyjaśnić. Dla mnie tekst jest jasny, ale to ja go napisałem. Dla Ciebie jest coś niezrozumiałe, więc jeśli już zgłaszasz jakiś problem to spróbuj go szczegółowo wyjaśnić.

Odpowiedz

Konrad Bielski
Redaktor

komentarz #12 wysłany: 2005-02-07 21:32 w odpowiedzi na komentarz #10

I tak jesteście mądrzejsi i nieomylni.

Ty jesteś złośliwy, choć mało.

Odpowiedz

SZAMAN
Redaktor

komentarz #13 wysłany: 2005-02-07 23:42 w odpowiedzi na komentarz #10

Nie wiem dlaczego sie nagle na nas obraziles, naprawde jestesmy ciekawi Twoich uwag i napewno nie jestesmy nieomylni, nikt nie jest nieomylny!

Odpowiedz

Przemysław Apollo
Czytelnik

komentarz #14 wysłany: 2005-02-08 08:20 w odpowiedzi na komentarz #13

Nie wiem dlaczego sie nagle na nas obraziles, naprawde jestesmy ciekawi Twoich uwag i napewno nie jestesmy nieomylni, nikt nie jest nieomylny!



To ja dodam od siebie:
Prawda jest taka, że owszem po przeczytaniu Waszych wyjaśnień i tekstu nad tabelką wszystko staje się jasne ale ja też nie mogłem zrozumieć o co chodzi. Niby strona dotyczy tylko OS4 ale opis kolumny (Amigi klasyczne) jest mylący. Naprawdę. Wszyscy raczej kojarzą OS4 z AOne a postawienie obok kolumny (Amigi klasyczne) wydaje się służyć porównaniu, co chodzi a co nie na nowym systemie. Może by tak dopisać Amigi klasyczne z OS4?

PS. Pamiętajcie Panowie, że zazwyczaj dla tworzącego coś wszystko jest jasne, ale ktoś kto potem to interpretuje lubi podążyć inną ścieżką. Wiecie chyba, że trzeba tak wszystko robić, żeby było idiotoodporne )))

Odpowiedz

SZAMAN
Redaktor

komentarz #15 wysłany: 2005-02-08 11:38 w odpowiedzi na komentarz #14

Wszyscy raczej kojarzą OS4 z AOne a postawienie obok kolumny (Amigi klasyczne) wydaje się służyć porównaniu, co chodzi a co nie na nowym systemie. Może by tak dopisać Amigi klasyczne z OS4?

No tu juz chyba wiem skad wzielo sie cale to nieporozumienie - dla nas AmigaOS 4 na A1200 i A4000 jest po prostu czyms normalnym (szczegolnie dla Konrada i Arka, ktorzy uzywaja tego na codzien) i nie pomyslelismy nad tym, ze ktos patrzac na te tabelke moze zalozyc, ze ten system dziala tylko na "Nowych Amigach". Masz racje, trzeba wiec bedzie to jakos lepiej opisac. Jest tez inny wniosek - wiedza na temat nowego AmigaOS jest w naszym kraju ciagle mala.

Odpowiedz

Konrad Bielski
Redaktor

komentarz #16 wysłany: 2005-02-08 12:21 w odpowiedzi na komentarz #14

owszem po przeczytaniu Waszych wyjaśnień i tekstu nad tabelką wszystko staje się jasne ale ja też nie mogłem zrozumieć o co chodzi.

Rozumiem, że tabelka tak bardzo przyciąga wzrok, że wszyscy zaczynają czytanie strony właśnie od niej, zamiast od tekstu wyjaśniającego zawartość tabelki.

Dobrze, są sugestie. Postaramy się poprawić stronę. Dziękujemy za uwagi.

Odpowiedz

MDW
Czytelnik

komentarz #17 wysłany: 2005-02-08 13:13

Odnosnie CEDa: "Wersja PPC jest już gotowa, autor szuka wydawcy"

Szuka wydawcy? Ktos jeszcze uzywa CEDa w czasach GoldEDa? Jakbym juz mial wydac kase to na pewno wolalbym kupic GoldEDa niz CEDa. Na pewno bym go kupil gdyby nie darmowy MorphED w MOSowym SDK.

Odpowiedz

SZAMAN
Redaktor

komentarz #18 wysłany: 2005-02-08 18:44 w odpowiedzi na komentarz #17

GoldED dziala na AmigaOS 4. Zobacz takze tu - os4.exec.pl/edytorytekstu.html

Odpowiedz

Mufa
konto zablokowane
lub usunięte

Czytelnik

komentarz #19 wysłany: 2005-02-08 19:10 w odpowiedzi na komentarz #18

GoldED dziala na AmigaOS 4. Zobacz takze tu - os4.exec.pl/edytorytekstu.html

Ja w uzupełnieniu do tego artka mogę tylko dodać że przed kilkoma tygodniami na OS4Depot pojawił się jeszcze jeden natywny edytor AmiTEX

A co do CEDa, to bez względu na to co by nie mówić o możliwościach GoldEDa, CygnusED jest po prostu najpopularniejszym edytorem tekstu na Amidze.

Odpowiedz

Robert Jackowski
Czytelnik

komentarz #20 wysłany: 2005-02-08 20:15 w odpowiedzi na komentarz #19

Czy AmiTEX jest specjalnie dostosowany dla potrzeb LaTeX-a?

Odpowiedz

Mufa
konto zablokowane
lub usunięte

Czytelnik

komentarz #21 wysłany: 2005-02-08 20:58 w odpowiedzi na komentarz #20

Czy AmiTEX jest specjalnie dostosowany dla potrzeb LaTeX-a?

Nie wydaje mi się. W każdym bądź razie nie znalazłem ani słowa na ten temat w dokumentacji, która nota bene jest po francusku
Amitex, to nowa (5.0) natywna wersja programu który był wcześniej rozwijany dla systemu 3.x. Ostatnia wersja dla 68k (4.04) z 2003r, znajduje się na aminecie. Możesz więc to sprawdzić sam.

Odpowiedz

AmigaOS.pl

Polecamy
Najpopularniejsze
eXec blog

Świat poza Amigą: